.attendance {
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  margin-bottom: 50px;
  padding: 0 20px;
  width: 80%;

  &__total {
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 20px;

    .react-calendar-heatmap {
      width: 75%;
      max-width: 750px;
      
      &:hover {
        cursor: pointer;
      }
    }    
  }

  &__total-description {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    width: 50%;

    &-training > .square {
      color: $green;
    }

    &-absence > .square {
      color: $light-red;
    }

    &-competition > .square {
      color: $blue;
    }
  }
}

.attendees {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;

  &__header {
    width: 100%;
    text-align: center;
    margin-bottom: 30px;
  }

  &__box {
    // background: $light-red;
    border: 1px solid $red;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 10px;
    // padding: 20px;
    min-width: 400px;

    &-heatmap {
      align-items: center;
      display: flex;
      flex: 1;
      justify-content: center;
      margin: 10px 20px;
      // width: 50%;
      // max-width: 400px;

      .react-calendar-heatmap {
        width: 100%;
      } 
    }

    &-loading {
      height: 100px;
    }

    &-name {
      // border-bottom: 2px solid $red;
      // background: $red;
      color: darken($dark-grey, 20%);
      font-weight: bold;
      // max-width: 200px;
      padding: 10px;
      text-align: center;
      text-decoration: none;
      transition: 0.5s;

      &:hover {
        color: $green;
      }
    }

    &-details {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      padding: 10px 20px;
    }
  }
}